[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.DCRedraw

Redraws the device context for the specified canvas handle.

## Declaration

Source position: interfacebase.pp line 163

`public procedure TWidgetSet.DCRedraw(`
`CanvasHandle: HDC`
`); virtual; abstract;`

## Arguments

`CanvasHandle` |  | Canvas handle with the device context for the redraw operation.

## Description

Used in the implementation of the TCanvas.RealizeAutoRedraw method called when its AutoRedraw property is changed.

Implemented for Gtk, Gtk2, Carbon, and Cocoa widgetsets.